## hardinfo 0.5.1%2Bgit20180227

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh ${@}
