=== debian/control ===
Source: hardinfo
Section: x11
Priority: optional
Maintainer: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 10),
               libffi-dev,
               libgtk2.0-dev,
               liblzma-dev,
               libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libsoup2.4-dev,
               pciutils (>= 1:2.1.11-10)
Standards-Version: 4.0.1
Homepage: http://hardinfo.org
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hardinfo.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/hardinfo.git

Package: hardinfo
Architecture: any
Depends: pciutils (>= 1:2.1.11-10), ${misc:Depends}, ${shlibs:Depends}
Recommends: lm-sensors
Suggests: mesa-utils
Description: Displays system information
 HardInfo is a small application that displays information about your
 hardware and operating system. Currently it knows about PCI, ISA PnP, USB,
 IDE, SCSI, Serial and parallel port devices.
