## hardinfo 0.5.1+git20171103

=== debian/changelog ===
hardinfo (0.5.1+git20171103-1) unstable; urgency=medium

  * Update to latest upstream Git commit (9ea63eb).
  * Bump Standards-version to 4.1.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 25 Nov 2017 13:36:24 -0600

hardinfo (0.4.2.3-2) unstable; urgency=low

  * fixed desktop file, thanks to Kjell Braden. (Closes: #466587)

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Sun, 24 Feb 2008 23:35:44 -0300
