=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libsoup2.4-dev,
                pciutils (>= 1:2.1.11-10)
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Homepage: http://hardinfo.org
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/hardinfo.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/hardinfo.git
