## hardinfo 0.5.1+git20180227

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,8 @@
 include(GNUInstallDirs)
 
 if(${CMAKE_BUILD_TYPE} MATCHES [Dd]ebug)
-  set(HARDINFO_DEBUG 1)
+	set(HARDINFO_DEBUG 1)
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
 endif()
 
 if(${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
@@ -137,13 +138,11 @@
 )
 set(MODULE_devices_SOURCES
 	modules/devices.c
-	modules/devices/cpu_util.c
 	modules/devices/${HARDINFO_ARCH}/processor.c
 	modules/devices/battery.c
 	modules/devices/devmemory.c
 	modules/devices/dmi.c
 	modules/devices/devicetree.c
-	modules/devices/devicetree/dt_util.c
 	modules/devices/inputdevices.c
 	modules/devices/pci.c
 	modules/devices/printers.c
@@ -222,6 +221,9 @@
 	hardinfo/util.c
 	hardinfo/vendor.c
 	hardinfo/info.c
+	hardinfo/cpu_util.c
+	hardinfo/dmi_util.c
+	hardinfo/dt_util.c
 	shell/callbacks.c
 	shell/iconcache.c
 	shell/menu.c
@@ -247,6 +249,9 @@
 	hardinfo/util.c
 	hardinfo/vendor.c
 	hardinfo/info.c
+	hardinfo/cpu_util.c
+	hardinfo/dmi_util.c
+	hardinfo/dt_util.c
 	shell/callbacks.c
 	shell/iconcache.c
 	shell/menu.c
