=== debian/changelog ===
hardinfo (0.5.1+git20180227-2.1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 15:20:29 -0500

hardinfo (0.5.1+git20180227-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957327)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 09 Aug 2020 22:16:41 +0100

hardinfo (0.5.1+git20180227-2) unstable; urgency=medium

  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Reflect the move in Salsa namespace.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 23 Dec 2018 23:56:13 -0600

hardinfo (0.5.1+git20180227-1) unstable; urgency=medium

  * Update to latest upstream Git commit (3d78bd2).
  * Bump Standards-version to 4.1.3, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Add zlib1g-dev as a build dependency to make sure that the CPU ZLib
    benchmark works as intended (Closes: #536244).
  * Update Vcs-* to reflect the move to Salsa.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 22:47:46 -0600
