=== debian/control ===
Source: hardinfo
Section: x11
Priority: optional
Maintainer: Simon Quigley <tsimonq2@debian.org>
Build-Depends: cmake,
               debhelper (>= 11),
               libffi-dev,
               libgtk2.0-dev,
               liblzma-dev,
               libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libsoup2.4-dev,
               pciutils (>= 1:2.1.11-10)
Standards-Version: 4.1.3
Homepage: http://hardinfo.org
Vcs-Browser: https://salsa.debian.org/tsimonq2/hardinfo
Vcs-Git: https://salsa.debian.org/tsimonq2/hardinfo.git

Package: hardinfo
Architecture: any
Depends: pciutils (>= 1:2.1.11-10),
         zlib1g-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lm-sensors
Suggests: mesa-utils
Description: Displays system information
 HardInfo is a small application that displays information about your
 hardware and operating system. Currently it knows about PCI, ISA PnP, USB,
 IDE, SCSI, Serial and parallel port devices.
