=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/release-?(\d\S+)\.tar\.gz/hardinfo_$1\.orig\.tar\.gz/ \
  https://github.com/lpereira/hardinfo/tags .*/release-?(\d\S+)\.tar\.gz
