=== debian/changelog ===
hardinfo (0.5.1-1.1ubuntu5-1linuxmint4) maya; urgency=low

  * Added Cinnamon detection

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 20 May 2012 12:23:44 +0100

hardinfo (0.5.1-1.1ubuntu5-1linuxmint3) maya; urgency=low

  * Added MATE detection

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 20 May 2012 11:30:56 +0100

hardinfo (0.5.1-1.1ubuntu5-1linuxmint2) maya; urgency=low

  * Changed name in desktop file to "System information"

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 May 2012 17:30:34 +0100

hardinfo (0.5.1-1.1ubuntu5-1linuxmint1) lisa; urgency=low

  * Fixed desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 22 Oct 2011 15:46:00 +0000

hardinfo (0.5.1-1.1ubuntu5) oneiric; urgency=low

  * debian/control:
   - Build-depends on libffi-dev to fix FTBFS (LP: #831185)

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 24 Aug 2011 22:08:43 +0200

hardinfo (0.5.1-1.1ubuntu4) oneiric; urgency=low

  * debian/patches/03-detect-lxde.patch
   - Detect LXDE and Lubuntu from XDG_CURRENT_DESKTOP and
     DESKTOP_SESSION environment variables.  (LP: #778148)

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Thu, 07 May 2011 10:22:53 -0700

hardinfo (0.5.1-1.1ubuntu3) maverick; urgency=low

  * debian/control
   - Recommends lm-sensors to read information from sensors. (LP: #178600)

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 22 Sep 2010 16:21:51 +0200

hardinfo (0.5.1-1.1ubuntu2) lucid; urgency=low

  * debian/patches/02-fix-distro-crash.patch:
   - From upstream, fix a crash when trying to get distro informations.
     (LP: #450447)

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 08 Mar 2010 21:41:09 +0100

hardinfo (0.5.1-1.1ubuntu1) lucid; urgency=low

  * Merge from debian testing, Ubuntu remaining changes:
    - debian/rules: Don't install anything in /usr/local, otherwise FTBFS.
    - debian/control:
      + Add homepage field
      + Build-Depends on quilt.
    - debian/rules:
      + Add quilt support.
    - Add 01-truncated_description.patch to fix LP: #357189.
  * Add ${misc:Depends} to hardinfo runtime Depends field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 31 Jan 2010 15:02:56 +0100

hardinfo (0.5.1-1ubuntu1) lucid; urgency=low

  * Merge from debian testing:
    - debian/rules: Don't install anything in /usr/local, otherwise FTBFS.
  * debian/control: Add homepage field.
  * Add quilt patch system support.
  * Add 01-truncated_description.patch to fix LP: #357189 (at least
    partially).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 06 Nov 2009 14:14:17 +0100

hardinfo (0.5c-1ubuntu1) karmic; urgency=low

  * debian/rules: Don't install anything in /usr/local, fix FTBFS.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 03 Jun 2009 21:27:13 +0200
