=== debian/control ===
Source: hardinfo
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Agney Lopes Roth Ferraz <agney@debian.org>
Build-Depends: debhelper (>> 5.0.0), libgtk2.0-dev, pciutils (>=1:2.1.11-10), libsoup2.4-dev, quilt, libffi-dev
Standards-Version: 3.8.3.0
Homepage: http://hardinfo.berlios.de/

Package: hardinfo
Architecture: any 
Depends: ${shlibs:Depends}, pciutils (>=1:2.1.11-10), ${misc:Depends}
Recommends: lm-sensors
Suggests: mesa-utils
Description: Displays system information
 HardInfo is a small application that displays information about your
 hardware and operating system. Currently it knows about PCI, ISA PnP, USB,
 IDE, SCSI, Serial and parallel port devices.
