=== debian/watch ===
version=3
opts=downloadurlmangle=s/prdownload/download/ \
   http://developer.berlios.de/project/showfiles.php?group_id=5897 \
   http://prdownload.berlios.de/hardinfo/hardinfo-(.*)\.tar\.gz \
   debian uupdate
