## hardinfo 0.5.2.1

=== debian/changelog ===
hardinfo (0.5.2.1-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: c5d527897a971425742e93f2d9fbf9f4d71a45be']

 -- shuttle <shuttle@deepin.com>  Wed, 27 Nov 2019 19:32:58 +0000
