## hardinfo 0.6.0-alpha%2Bgit20211205

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
DEBPATH=$(CURDIR)/debian/inst

%:
	dh ${@}
	
override_dh_auto_configure:
	  cmake -B build \
    	-DCMAKE_INSTALL_PREFIX='/usr' \
    	-DCMAKE_INSTALL_LIBDIR='lib' \
    	-DHARDINFO_GTK3='ON' \
    	-Wno-dev

override_dh_auto_build:
	make -C build
	make -C build DESTDIR=${DEBPATH} install
