## hardinfo 0.6.0-alpha+git20211205

=== debian/changelog ===
hardinfo (0.6.0-alpha+git20211205-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master on 20211205 for MX-21.
  * Used Debianization from Linux Uprising as basis, thanks logix!
  * Control: swith to debhelper-compat, update Vcs links.
  * Change depends from zlib1g-dev to zlib1g.
  * Move mesa-utils to Recommends.  

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 24 Jan 2022 11:34:26 -0500

hardinfo (0.6~alpha~git20211203~hirsute) hirsute; urgency=medium

  * Latest Git as of 3 Dec. 2021
  * Build with GTK3

 -- Logix <logix@linuxuprising.com>  Thu, 02 Dec 2021 15:07:22 +0000
