=== debian/control ===
Source: hardinfo
Section: x11
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Leandro Pereira <leandro@hardinfo.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libffi-dev,
               libgtk-3-dev,
               liblzma-dev,
               libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libsoup2.4-dev,
               pciutils (>= 1:2.1.11-10),
               libjson-glib-dev
Standards-Version: 4.1.3
Homepage: http://hardinfo.org
Vcs-Browser: https://github.com/lpereira/hardinfo
Vcs-Git: https://github.com/lpereira/hardinfo.git

Package: hardinfo
Architecture: any
Depends: pciutils (>= 1:2.1.11-10),
         zlib1g,
         dmidecode,
         fwupd,
         lm-sensors,
         sysbench,
         usbutils,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: mesa-utils
Description: Displays system information
 HardInfo is a small application that displays information about your
 hardware and operating system. Currently it knows about PCI, ISA PnP, USB,
 IDE, SCSI, Serial and parallel port devices.
