## hardinfo 2.1.8

=== debian/changelog ===
hardinfo (2.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 May 2024 01:20:19 -0400

hardinfo (2.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 May 2024 16:19:33 -0400

hardinfo (2.1.2+git20240525-1) unstable; urgency=medium

  * New upstream snapshot.
  * Source-only upload.
  * debian/patches: Drop all patches, merged upstream.
  * debian/copyright: Update license information.
  * debian/control: Mark binary as linux-any since hardinfo does not
    support any non-linux system.
  * debian/control: Recommend installation of fwupd as suggusted upstream.
  * Closes more bugs that are confirmed to be solved.
    (Closes: #886280) (LP: #1672017)
  * debian/control: Update package recommendation following upstream
    comments.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 May 2024 08:49:26 -0400

hardinfo (2.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1014266, #1070830)
    + Add loongarch support. (Closes: #1051775)
  * debian/control:
    + Migrate to libsoup3. (Closes: #1071517)
    + Migrate to GTK3. (Closes: #967518)
    + Rename binary package to hardinfo2. Keep the old hardinfo package as
      a transitional package.
  * debian/copyright: Rewrite license information.
  * debian/hardinfo2.lintian-overrides: Do not give warnings on data file
    encoding.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 May 2024 15:08:59 -0400

hardinfo (0.5.1+git20180227-3) unstable; urgency=medium

  * Update package maintainer info via ITS process. (Closes: #1071373)
  * debian/control: Add missing dependency sensible-utils.
  * debian/control: Update Vcs-* fields to use Salsa Debian group.
  * debian/watch: Monitor hardinfo2 GitHub releases.
  * debian/rules: Disable -Werror=implicit-function-declaration
    for now. This fixes the FTBFS issue. (Closes: #1066701)

 -- Boyuan Yang <byang@debian.org>  Wed, 22 May 2024 14:24:00 -0400
